StreamByteBuffer.StreamByteBufferChunk (Grails 6.0.0)

Package: org.grails.buffer

## [Java] Class StreamByteBuffer.StreamByteBufferChunk

- org.grails.buffer.StreamByteBuffer.StreamByteBufferChunk

-     class StreamByteBuffer.StreamByteBufferChunk

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private byte[]` | `buffer` |
    `private int` | `pointer` |
    `private int` | `size` |
    `private int` | `used` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StreamByteBufferChunk (int size)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `bytesUnread()`
    `` | `public int` | `bytesUsed()`
    `` | `public void` | `read(byte[] b, int off, int len)`
    `` | `public int` | `read()`
    `` | `public java.nio.ByteBuffer` | `readToNioBuffer()`
    `` | `public void` | `reset()`
    `` | `public int` | `spaceLeft()`
    `` | `public boolean` | `write(byte b)`
    `` | `public void` | `write(byte[] b, int off, int len)`
    `` | `public void` | `writeTo(java.io.OutputStream target)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private byte[] buffer

    - #### private int pointer

    - #### private int size

    - #### private int used

  - ### Constructor Detail

    - #### public StreamByteBufferChunk(int size)

  - ### Method Detail

    - #### public int bytesUnread()

    - #### public int bytesUsed()

    - #### public void read(byte[] b, int off, int len)

    - #### public int read()

    - #### public java.nio.ByteBuffer readToNioBuffer()

    - #### public void reset()

    - #### public int spaceLeft()

    - #### public boolean write(byte b)

    - #### public void write(byte[] b, int off, int len)

    - #### public void writeTo(java.io.OutputStream target)